Subject: Re: [PATCH net-next v2 0/2] mptcp: add last time fields in mptcp_info

From: Jakub Kicinski <[email-masked]>
Date: Wed, 10 Apr 2024 14:01:03 -0700

On Wed, 10 Apr 2024 21:31:13 +0200 (GMT+02:00) Matthieu Baerts wrote:
> > Hi Mat, is this causing skips in selftests by any chance?
> >
> > # 07 ....chk last_data_sent                            [SKIP] Feature probably not supported
> > # 08 ....chk last_data_recv                            [SKIP] Feature probably not supported
> > # 09 ....chk last_ack_recv                             [SKIP] Feature probably not supported  
> 
> Yes it does, I should have added a note about that, sorry: that's because
> SS needs to be patched as well to display the new counters.
> 
> https://patchwork.kernel.org/project/mptcp/patch/[email-masked]/
> 
> This patch will be sent when the kernel one will be accepted.

I see, applied locally now, thanks!

> Is it an issue? The modification of the selftests can be applied later
> if you prefer.

Not sure. If it doesn't happen super often maybe co-post the iproute2
patch as described:
https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#co-posting-changes-to-user-space-components
and I'll apply it on the worker machines manually.

> Earlier today, I was looking at changing NIPA not to mark the whole
> selftest as "SKIP" but I saw it was not a bug: a check is there to
> mark everything as skipped if one subtest is marked as skipped
> from what I understood. So I guess we don't want to change that :)

Correct :) It's working as intended :)

> > I'll "hide it" from patchwork for now..
> > --
> > pw-bot: defer  
> 
> Thank you! Do you prefer if I resend only patch 1/2 for now?

No need, restored the patches back, let's see if next run is clean.